# Register

You can register a namespace to associate public addresses with a name.

#### Renewal

Please use the [website](https://github.com/X-CASH-official/gitbook-docs/blob/master/remotedata/website/README.md) as the website will step by step walk you through what you need to do, with custom commands, as you will need to see real time delegate prices and who to send the xcash to, but the general process is described below.

Open and fully sync your wallet that you want to register. This will tied to the NAME.xcash namespace. You will also need two other addresses. One that you want to be tied to NAME.sxcash that can only send and receive private transactions, and one that you want to be tied to NAME.pxcash that can only send and receive public transactions. It is highly reccomended you use two new wallets for this.

You can view if a name is avalible by using <http://www.delegates.xcash.foundation//remotedatagetnamestatus?parameter1=NAME>

You can view the previous block producer on the website with the price, but you can also use the [API](http://www.delegates.xcash.foundation/remotedatagetblockproducerinformation)

Once you have a delegate and price you want to use for name, run this command `remote_data_save_name <name>`

Once the command is complete you will have 24 hours to register the domain. You will need to send a PUBLIC transaction to the delegate for the amount. You should then wait 30 minutes to make sure that transaction has been processed. Once this is done run this wallet command `remote_data_purchase_name <saddress> <saddress_signature> <paddress> <paddress_signature> <tx_hash>` where saddress is the private only address and paddress is the public only address. To get the saddress\_signature you need to open the saddress wallet and run `sign YOUR_SADDRESS_PUBLIC_ADDRESS` and it will save the signature in a file, that is the saddress\_signature. You need to do the same for the paddress wallet. This is needed because it proves ownership of the wallets you want to register.

Once done you can confirm using the above API to see if your namespace was successfully registered.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xcash.foundation/remotedata/register.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
